'use strict';

// ** Dependencies
const components = require('../../lib/components');

const Person = components
    .create('person', 'A person')
    .property('name', {
        description: 'The full name of a person.',
        type: 'string',
        required: true
    })
    .property('first-name', {
        description: 'The first name of a person.',
        type: 'string',
        required: false
    })
    .property('last-name', {
        description: 'The last name of a person.',
        type: 'string',
        required: false
    });

// ** Export Person class
module.exports = Person;

// Person
//     .create("Brad Serbu", {
//         "first-name": "Brad",
//         "middle-name": "Thomas",
//         "last-name": "Serbu"
//     })
//     .then(JSON.stringify)
//     // .then(person => person['first-name'])
//     .then(console.log);



